Subject: [Fwd: Re: [Mip6] comments on draft-giaretta-mip6-authorization-eap-00.txt]

From: Rafa Marin Lopez <[email-masked]>
Date: Fri, 23 Apr 2004 17:58:41 +0200

-- 
------------------------------------------------------
Rafael Marin Lopez
Faculty of Computer Science-University of Murcia
30071 Murcia - Spain
Telf: +34968367645    e-mail: [email-masked]
------------------------------------------------------ 

Subject: Re: [Mip6] comments on draft-giaretta-mip6-authorization-eap-00.txt
From: Rafa Marin Lopez <[email-masked]>
To: Giaretta Gerardo <[email-masked]>
Cc: "Antonio F.Gómez Skarmeta"<[email-masked]>
Date: Fri, 23 Apr 2004 17:56:36 +0200

Hi Gerardo... (see my comments below)

Giaretta Gerardo wrote:

>>Well , I was thinking about something like PANA model...where
>>SNMPv3 is 
>>used over EP . In this case HA could be considered "more or 
>>less" like an EP
>>
>>    
>>
>
>Upon reflection, maybe this could be possible, since also PAA-EP
>communication provides some authorization stuff. See below for more
>comments.
> 
>  
>
>>>I think this is the main issue regarding the
>>>usage of SNMPv3 in the commmunication between HA and AAAH, 
>>>      
>>>
>>since the HA 
>>    
>>
>>>has to perform some authorization stuff.
>>>
>>>      
>>>
>>>For example, the HA sends an
>>>Authorization Refresh Request to the AAAH server to refresh 
>>>      
>>>
>>the MIPv6 
>>    
>>
>>>service authorization as the authorization lifetime is going 
>>>      
>>>
>>to expire.
>>    
>>
>>> 
>>>
>>>      
>>>
>>Yes, then the main problem is communication between HA ----> AAAH , 
>>because HA could need to send information to AAAH right?
>>
>>    
>>
>
>Yes, I think so. Probably it could be also possible to use SNMPv3 for
>this communication, using SNMP trap operations.
>
Yes I thought on it ....

> However, I think that
>Diameter provides a more flexible way to perform this communication (as
>a peer-to-peer protocol), though it is necessary to define a new
>Diameter application.
>
Yes  it is possible it was more flexible but as you comment a new 
Diameter application is needed . However though HA could be key element 
of the AAA infrastructure, I consider HA as a device to configure, that 
is how PANA could consider an access point or a access router (that is 
an EP). My concern is (maybe) devices implementing HA functionalities 
could be likelier configured via SNMP than Diameter . I know there are 
many devices that uses Radius clients but for 
authentication/authorization purposes but I envisage that all future 
routers could be configured via SNMPv3 but maybe not through a Diameter 
Application. Really the reason could be another features out of the 
MIPv6 would be configured via SNMP however only MIPv6 should be 
configured through Diameter.

Thus, Under my point of view, your idea could be easier deployed by 
using SNMPv3 instead of new Diameter application... though both options 
are possible . In any case, maybe I would mention this issue in the draft.

What do you think?

> Furthermore, I see the HA as a key element of the
>AAA infrastructure, a sort of a Network Access Server for MIPv6 service
>and, as a consequence, Diameter is the natural choice.
>  
>
>However, do you think that there is any advantage to use SNMPv3 in place
>of Diameter for this communication?
>
>Thanks,
>
>--Gerardo 
>
>
>Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.
>
>====================================================================
>CONFIDENTIALITY NOTICE
>This message and its attachments are addressed solely to the persons
>above and may contain confidential information. If you have received
>the message in error, be informed that any use of the content hereof
>is prohibited. Please return it immediately to the sender and delete
>the message. Should you have any questions, please contact us by
>replying to [email-masked]. Thank you
>====================================================================
>
>
>  
>

-- 
------------------------------------------------------
Rafael Marin Lopez
Faculty of Computer Science-University of Murcia
30071 Murcia - Spain
Telf: +34968367645    e-mail: [email-masked]
------------------------------------------------------